vim.cmd("colorscheme gruvbox") --tokyonight

-- Установка клавиши Leader на пробел
vim.g.mapleader = " "
-- CUSTOM MOVE
-- NORMAL
vim.keymap.set('n', 'h', '<nop>', { noremap = true, silent = true })
vim.keymap.set('n', 'j', 'h', { noremap = true, silent = true })
vim.keymap.set('n', 'k', 'j', { noremap = true, silent = true })
vim.keymap.set('n', 'l', 'k', { noremap = true, silent = true })
vim.keymap.set('n', ';', 'l', { noremap = true, silent = true })
-- VISUAL
vim.keymap.set('v', 'h', '<nop>', { noremap = true, silent = true })
vim.keymap.set('v', 'j', 'h', { noremap = true, silent = true })
vim.keymap.set('v', 'k', 'j', { noremap = true, silent = true })
vim.keymap.set('v', 'l', 'k', { noremap = true, silent = true })
vim.keymap.set('v', ';', 'l', { noremap = true, silent = true })

-- Включение относительной нумерации строк
vim.opt.number = true          -- Включить абсолютную нумерацию строк
vim.opt.relativenumber = true  -- Включить относительную нумерацию строк

vim.cmd [[
  autocmd TermOpen * setlocal nonumber norelativenumber
]]


vim.opt.cmdheight = 0

-- disable netrw at the very start of your init.lua
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

-- Функции для табуляции выделенной области
local function tab_selected()
    vim.cmd('normal! >gv')  -- Сдвиг вправо и возврат к выделению
end

local function shift_tab_selected()
    vim.cmd('normal! <gv')  -- Сдвиг влево и возврат к выделению
end
vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4

-- Привязка клавиш
vim.keymap.set('v', '<Tab>', tab_selected, { noremap = true, silent = true })
vim.keymap.set('v', '<S-Tab>', shift_tab_selected, { noremap = true, silent = true })

-- Включаем поддержку цветовой схемы
vim.opt.termguicolors = true
